[Overview][Constants][Types][Classes][Procedures and functions][Index] | Reference for unit 'EditBtn' (#lcl)

# TCustomDateEvent

Specifies an event handler used to examine or alter a String with a date value.

## Declaration

Source position: editbtn.pas line 587

`type TCustomDateEvent = procedure(`
`Sender: TObject;`
`var ADate: string`
`) of object;`

## Arguments

`Sender` |  | Object generating the event notification.
`ADate` |  | Variable String argument which can be examined or altered in the event handler.

## Description

TCustomDateEvent is an object procedure which specifies an event handler used to examine or alter a String with a date value in an arbitrary format.

Sender is the object generating the event notification.

ADate is a variable String argument which can be examined or altered in the event handler.

TCustomDateEvent is the type used to implement the OnCustomDate event handler in TDateEdit.

## See also

TDateEdit.OnCustomDate |  | OnCustomDate - event handler for inserting a custom date.